Martes Julio 25 , 2017
Text Size
   

Fedora: Paquetes Duplicados

manuales - Linux

Si os habéis encontrado con ese error, en más de una ocasión y quizás debido a algún que otro paquete incompatible en nuestro sistema

will be an update You could try using --skip-broken to work around the problem 

La solución es sencilla, seguid los siguientes pasos, y que verifiquéis además que ningún paquete os está generando conflicto con otros

yum-complete-transaction
package-cleanup --problems
package-cleanup --dupes
package-cleanup --cleandupes
rpm -Va --nofiles --nodigest
yum clean all
rpm --rebuilddb
yum update

 

 

Apache 2.4 Error during SSL Handshake with remote server

manuales - Linux

Si has tenido este mensaje de error al tratar de conectar desde tu proxy relay de apache a tu otra máquina tras actualizar a apache 2.4

Error during SSL Handshake with remote server

añade estas líneas a tu virtualhost (las que te falten) y adiós al error

    SSLProxyEngine on
    SSLProxyVerify none
    SSLProxyCheckPeerCN off
    SSLProxyCheckPeerName off
    SSLProxyCheckPeerExpire off
   

HTTPD / APACHE en Fedora 21

manuales - Linux

¿Problemas al conectar? ¿No se muestra la web de test en el navegador? ¿Tampoco haces telnet?... ¿Has desactivado selinux e iptables y nada?...

Aquí tienes la solución:

firewall-cmd --set-default-zone=public
firewall-cmd --permanent --zone=public --add-service=http 
firewall-cmd --permanent --zone=public --add-service=https
firewall-cmd --reload

Si.. de nuevo, el madito cortafuegos

   

Fedora 19 ¿sin acceso al puerto 80 desde fuera?

manuales - Linux

Si te has vuelto loco como yo porque tras configurar apache no tienes acceso desde el exterior pero si desde la propia máquina, deberás saber que, ya no es culpa ni de Selinux (que seguramente te tocará desactivar) ni de iptables. Tenemos un nuevo demonio activo: firewalld

root@GNAPPWeb ~]# service firewall status
Redirecting to /bin/systemctl status  firewall.service
firewall.service
   Loaded: error (Reason: No such file or directory)
   Active: inactive (dead)
[root@GNAPPWeb ~]# service firewalld status
Redirecting to /bin/systemctl status  firewalld.service
firewalld.service - firewalld - dynamic firewall daemon
   Loaded: loaded (/usr/lib/systemd/system/firewalld.service; enabled)
   Active: active (running) since vie 2013-10-04 11:34:33 CEST; 23min ago
 Main PID: 420 (firewalld)
   CGroup: name=systemd:/system/firewalld.service
           └─420 /usr/bin/python /usr/sbin/firewalld --nofork --nopid
oct 04 11:34:33 GNAPPWeb systemd[1]: Started firewalld - dynamic firewall d...n.
Por tanto, tienes dos opciones:
1) Configurar el cortafuegos con la herramienta gráfica firewall-config
2) Desactivar el cortafuegos para siempre:
[root@GNAPPWeb ~]# service firewalld stop
Redirecting to /bin/systemctl stop  firewalld.service
[root@GNAPPWeb ~]# systemctl disable firewalld
rm '/etc/systemd/system/dbus-org.fedoraproject.FirewallD1.service'
rm '/etc/systemd/system/basic.target.wants/firewalld.service'
   

Cambiar RUNLEVEL en Fedora 15 o superior

manuales - Linux

INIT 3

¡¿Dónde está inittab?!

Si estás usando Fedora 15, 16, 17, 18 o 19 habrás observado que algunas cosas han cambiado. Entre otras, la forma en cambiar por defecto el runlevel o nivel de ejecución.

Ahora, debemos de realizar un link simbólico en lugar de editar el ya conocido inittab

RUNLEVEL 5

ln -sf /lib/systemd/system/graphical.target /etc/systemd/system/default.target

RUNLEVEL 3

ln -sf /lib/systemd/system/multi-user.target /etc/systemd/system/default.target

Lista completa de los niveles de ejecución

/lib/systemd/system/runlevel0.target -> poweroff.target
/lib/systemd/system/runlevel1.target -> rescue.target 
/lib/systemd/system/runlevel2.target -> multi-user.target
/lib/systemd/system/runlevel3.target -> multi-user.target
/lib/systemd/system/runlevel4.target -> multi-user.target
/lib/systemd/system/runlevel5.target -> graphical.target
/lib/systemd/system/runlevel6.target -> reboot.target
   

Ubuntu no encuentra los repositorios de Karmic Koala

manuales - Linux

vi /etc/apt/sources.list

Allí probablemente haya varias líneas que tengan un formato como este:

deb http://archive.ubuntu.com/ubuntu/ karmic main restricted universe multiverse

Ahí, lo único que hay que hacer, es reemplazar “archive” por “old-releases” en todas las líneas en las que aparezca.

Guardamos el archivo y volvemos a la consola para actualizar los repos (:wq!)

sudo apt-get update

Y listo! Con eso tenemos corregidos los repositorios

   

Página 2 de 28